Loading...
Searching...
No Matches
tiny_dnn::aligned_allocator< T, alignment > Class Template Reference

## Classes

struct | rebind

## Public Types

typedef T | value_type
typedef T * | pointer
typedef std::size_t | size_type
typedef std::ptrdiff_t | difference_type
typedef T & | reference
typedef const T & | const_reference
typedef const T * | const_pointer

## Public Member Functions

template<typename U >
| aligned_allocator (const aligned_allocator< U, alignment > &)
const_pointer | address (const_reference value) const
pointer | address (reference value) const
pointer | allocate (size_type size, const void *=nullptr)
size_type | max_size () const
void | deallocate (pointer ptr, size_type)
template<class U , class V >
void | construct (U *ptr, const V &value)
template<class U , class... Args>
void | construct (U *ptr, Args &&... args)
template<class U >
void | construct (U *ptr)
template<class U >
void | destroy (U *ptr)

The documentation for this class was generated from the following file:

- tiny_dnn/util/aligned_allocator.h